summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2017-08-03 20:38:13 -0400
committerTim Harder <radhermit@gentoo.org>2017-08-03 20:38:13 -0400
commita7d96deaa07eb0c15a431c3e4e5bc6b944adad0b (patch)
treeeaf1a836931ed359748264f416cb56c0068919e9 /media-libs/glew
parentapp-text/yodl: version bump to 4.01.00 (diff)
downloadgentoo-a7d96deaa07eb0c15a431c3e4e5bc6b944adad0b.tar.gz
gentoo-a7d96deaa07eb0c15a431c3e4e5bc6b944adad0b.tar.bz2
gentoo-a7d96deaa07eb0c15a431c3e4e5bc6b944adad0b.zip
media-libs/glew: version bump to 2.1.0
Diffstat (limited to 'media-libs/glew')
-rw-r--r--media-libs/glew/Manifest1
-rw-r--r--media-libs/glew/glew-2.1.0.ebuild100
2 files changed, 101 insertions, 0 deletions
diff --git a/media-libs/glew/Manifest b/media-libs/glew/Manifest
index ddd1cc922e1..991218a5626 100644
--- a/media-libs/glew/Manifest
+++ b/media-libs/glew/Manifest
@@ -2,3 +2,4 @@ DIST glew-1.10.0.tgz 567605 SHA256 99c41320b63f6860869b5fb9af9a1854b15582796c64e
DIST glew-1.13.0.tgz 616070 SHA256 aa25dc48ed84b0b64b8d41cdd42c8f40f149c37fa2ffa39cd97f42c78d128bc7 SHA512 8fc8d7c0d2cd9235ea51db9972f492701827bff40642fdb3cc54c10b0737dba8e6d8d0dcd8c5aa5bfaaae39c6198ba3d4292cd1662fbe1977eb9a5d187ba635f WHIRLPOOL be9a64348c6cbe3961429b5a4d5ef27f0f2cca3dad9d49a208eb98ff1a08b82885a5b7351860a8ef46cac50ede467e4c2343436a689234bf88ee2ddf16f796a7
DIST glew-1.6.0.tgz 494713 SHA256 bea2a7e9bb97a7a5054d4a65d16aaeedeaa091719359ad3fcd9bfdb0fe8eb7fa SHA512 5b8ca9e97d01d49fde591b0c55683620e0a6ddfaf5e93e03536e6217bbb548adfcd4e945a39ed3cfddac3f239b3272be1b3491f4071689d02c4bfb7e0ec44904 WHIRLPOOL 45372f5ada69fda90b6c7dd8dd261bd67f77d1c0b53d2ca4186060269ab3518dc8c0232e6930fa52eedeca4486144a65519b8f194ea7384948b757d2f3e5d027
DIST glew-2.0.0.tgz 667340 SHA256 c572c30a4e64689c342ba1624130ac98936d7af90c3103f9ce12b8a0c5736764 SHA512 e9bcd5f19a4495ce6511dfd76e64b4e4d958603c513ee9063eb9fe24fc6e0413f168620661230f1baef558f2f907cef7fe7ab2bdf957a6f7bda5fe96e9319c6a WHIRLPOOL 710fdef2079bc4f94e75e910bad6dc54abb0a0e0598576a8222de1dc200212fe0b49a2ec196035029431f0bbac691095b0850e994a363a3e41762a927ea76b50
+DIST glew-2.1.0.tgz 764073 SHA256 04de91e7e6763039bc11940095cd9c7f880baba82196a7765f727ac05a993c95 SHA512 9a9b4d81482ccaac4b476c34ed537585ae754a82ebb51c3efa16d953c25cc3931be46ed2e49e79c730cd8afc6a1b78c97d52cd714044a339c3bc29734cd4d2ab WHIRLPOOL 5653c741561d3cd48465675d434eb7575955054ec1aa0e0f4cbb11c12117786a19c9830aff8ddc5e4f173385cdd017e977ee689309262fefb6c0a21236f9d2fa
diff --git a/media-libs/glew/glew-2.1.0.ebuild b/media-libs/glew/glew-2.1.0.ebuild
new file mode 100644
index 00000000000..3ddebf5f830
--- /dev/null
+++ b/media-libs/glew/glew-2.1.0.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit multilib-minimal toolchain-funcs versionator
+
+DESCRIPTION="The OpenGL Extension Wrangler Library"
+HOMEPAGE="http://glew.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tgz"
+
+LICENSE="BSD MIT"
+SLOT="0/$(get_version_component_range 1-2)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc static-libs"
+
+DEPEND="
+ >=virtual/glu-9.0-r1[${MULTILIB_USEDEP}]
+ >=virtual/opengl-7.0-r1[${MULTILIB_USEDEP}]
+ >=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
+ >=x11-libs/libXext-1.3.2[${MULTILIB_USEDEP}]
+ >=x11-libs/libXi-1.7.2[${MULTILIB_USEDEP}]
+ >=x11-libs/libXmu-1.1.1-r1[${MULTILIB_USEDEP}]
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ local PATCHES=( "${FILESDIR}"/${PN}-2.0.0-install-headers.patch )
+
+ sed -i \
+ -e '/INSTALL/s:-s::' \
+ -e '/$(CC) $(CFLAGS) -o/s:$(CFLAGS):$(CFLAGS) $(LDFLAGS):' \
+ -e '/^.PHONY: .*\.pc$/d' \
+ Makefile || die
+
+ if ! use static-libs ; then
+ sed -i \
+ -e '/glew.lib:/s|lib/$(LIB.STATIC) ||' \
+ -e '/glew.lib.mx:/s|lib/$(LIB.STATIC.MX) ||' \
+ -e '/INSTALL.*LIB.STATIC/d' \
+ Makefile || die
+ fi
+
+ # don't do stupid Solaris specific stuff that won't work in Prefix
+ cp config/Makefile.linux config/Makefile.solaris || die
+ # and let freebsd be built as on linux too
+ cp config/Makefile.linux config/Makefile.freebsd || die
+
+ default
+ multilib_copy_sources
+}
+
+glew_system() {
+ # Set the SYSTEM variable instead of probing. #523444 #595280
+ case ${CHOST} in
+ *linux*) echo "linux" ;;
+ *-freebsd*) echo "freebsd" ;;
+ *-darwin*) echo "darwin" ;;
+ *-solaris*) echo "solaris" ;;
+ mingw*|*-mingw*) echo "mingw" ;;
+ *) die "Unknown system ${CHOST}" ;;
+ esac
+}
+
+set_opts() {
+ myglewopts=(
+ AR="$(tc-getAR)"
+ STRIP=true
+ CC="$(tc-getCC)"
+ LD="$(tc-getCC) ${LDFLAGS}"
+ SYSTEM="$(glew_system)"
+ M_ARCH=""
+ LDFLAGS.EXTRA=""
+ POPT="${CFLAGS}"
+ )
+}
+
+multilib_src_compile() {
+ set_opts
+ emake \
+ GLEW_DEST="${EPREFIX}/usr" \
+ LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
+ "${myglewopts[@]}"
+}
+
+multilib_src_install() {
+ set_opts
+ emake \
+ GLEW_DEST="${ED}/usr" \
+ LIBDIR="${ED}/usr/$(get_libdir)" \
+ PKGDIR="${ED}/usr/$(get_libdir)/pkgconfig" \
+ "${myglewopts[@]}" \
+ install.all
+
+ dodoc README.md
+ if use doc; then
+ docinto html
+ dodoc doc/*
+ fi
+}